Package csb :: Package statistics :: Package samplers :: Package mc :: Module neqsteppropagator :: Class PerturbationResult

[frames] | no frames]

# Class PerturbationResult

source code

                  object --+
                           |
        core.AbstractIndexer --+
                               |
    core.BaseCollectionContainer --+
                                   |
            core.CollectionContainer --+
                                       |
                          object --+   |
                                   |   |
           AbstractPropagationResult --+
                                       |
                              Trajectory --+
                                           |
                                          PerturbationResult

Instances hold the result of a perturbation.

Nested Classes
Inherited from `AbstractPropagationResult`: `__metaclass__`

Instance Methods

__init__(self, items, perturbed_sys, work, heat=0.0, jacobian=1.0) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `core.CollectionContainer`: `append` Inherited from `core.BaseCollectionContainer`: `__bool__`, `__contains__`, `__getitem__`, `__iter__`, `__len__`, `__nonzero__`, `__repr__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `Trajectory`: `__abstractmethods__`

Properties
| jacobian
| perturbed_sys
Inherited from `Trajectory`: `final`, `heat`, `initial`, `work` Inherited from `core.BaseCollectionContainer`: `last_index`, `length`, `start_index` Inherited from `object`: `__class__`

Method Details

### __init__(self, items, perturbed_sys, work, heat=0.0, jacobian=1.0)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `items` (list of AbstractStates) - list of states defining a phase-space trajectory
  - `work` (float) - work performed on the system during perturbation
  - `jacobian` (float) - jacobian of the perturbation
  - `perturbed_sys` (AbstractSystemInfo) - AbstractSystemInfo instance describing the perturbed system
Overrides: object.__init__
  (inherited documentation)

Property Details

### jacobian

Get Method:
  unreachable.jacobian(self)
Set Method:
  unreachable.jacobian(self, value)

### perturbed_sys

Get Method:
  unreachable.perturbed_sys(self)
Set Method:
  unreachable.perturbed_sys(self, value)